//GLSL shader which compute diffuse shading
//light position set in DiffuseShader.cpp
//ZJW 2/2010

/**
 *
 *		Interior Mapping with one cubemap per face
 *		Dana Goyette
 *		CPE 473, Cal Poly Spring 2010
 *		
 *		Based on interior-mapping code from http://interiormapping.oogst3d.net/
 *
 */


//global variable that rarely change
varying vec3 worldNormal;
//varying vec3 direction;

uniform vec3 camPos;
uniform vec4 lightPos;


uniform sampler3D wallTex;

void main()
{
	vec4 light = gl_ModelViewMatrix * lightPos;
	
	//xform normal from model-space to view-space
//	normal = normalize(gl_NormalMatrix*gl_Normal);
	worldNormal = vec3(normalize(gl_Normal));


	


	//full transform required
	gl_Position = gl_ModelViewProjectionMatrix*gl_Vertex;


	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_TexCoord[1] = gl_MultiTexCoord1;
	gl_TexCoord[2] = gl_MultiTexCoord1;
}
